KOPANO-PASSWD(1)

NAME
kopano-passwd - Change Kopano user password.

SYNOPSIS

kopano-passwd ACTION [OPTION...]

DESCRIPTION

This tool can be used to change a user password. The storage server must be running for kopano-passwd to work.

If no action is given, an error message is printed. When invalid actions or not enough options for an action are given, an error message is printed.

The Kopano passwd works only with the dbplugin. Please see the EXTERNAL USERS() section for more information.

ACTIONS

kopano-passwd needs an action command with the appropriate options. Valid actions are:

-u username
    Update the password. Valid parameters are: [-p] and -o

    Default the password can be entered on the password prompt. The password will not be shown.

OPTIONS

The options used by actions are as follows:

-p new_password
    Set new password for a user. This option is only valid with the -o.

-o oldpassword
    old password of a user. This option is only valid with the -p.

--host, -h path
    Connect to the storage server through path, e.g. file:///path/to/socket or https://a.example:237/. This option can always be specified.

    Default: file:///var/run/kopano/server.sock

SEE ALSO

kopano-server(8), kopano-server.cfg(5)